gulp-sassでsassコンパイルできない

2015.02.16 Gulp


今まで、ミドルマンを使ってきたけど、タスクランナーでgulpを使ってみてみよってなって使ってみてる。

 でsassコンパイルしようとしたらエラーでた。

sassの記述が間違ってるようなんだけど、まちがってないしなーと調べてたら

scssはオッケーだけどsassは一手間加えないとエラー出るらしい。

sass({indentedSyntax:true}) って指定しないとダメなんだって、

 これでOK

gulp-sassなのにデフォルトじゃsassコンパイル出来ないなんて〜

 

gulp-compass使ったほうが良いってことで、gulp-sassをアンインストール

 

gulp-compassインストール

 

 で、

 でコンパイル出来る。

 

ちなみにsassファイルをルートディレクトリに置くと怒られるので注意

 

 

 参考:

http://qiita.com/endaaman/items/6536f9c2e8d842ea8c60